aab4f66a2aca5293f3536cc1d1438b17d2b09dfd
tdreszer
  Thu May 5 16:14:15 2011 -0700
A large set of tiny changes.  These fix a lot of discrepencies with bgcolor and font color declarations which were tripping up docttype 4.01.
diff --git src/hg/hgGateway/hgGateway.c src/hg/hgGateway/hgGateway.c
index e82fbf6..75be2a6 100644
--- src/hg/hgGateway/hgGateway.c
+++ src/hg/hgGateway/hgGateway.c
@@ -57,46 +57,44 @@
 
 webIncludeResourceFile("autocomplete.css");
 jsIncludeFile("jquery.js", NULL);
 #ifdef NEW_JQUERY
 webIncludeResourceFile("jquery-ui.css");
 jsIncludeFile("jquery-ui.js", NULL);
 #else
 jsIncludeFile("jquery.autocomplete.js", NULL);
 #endif
 jsIncludeFile("ajax.js", NULL);
 jsIncludeFile("autocomplete.js", NULL);
 jsIncludeFile("hgGateway.js", NULL);
 jsIncludeFile("utils.js", NULL);
 
 puts(
-"<CENTER>"
-"<TABLE BGCOLOR=\"#FFFEE8\" BORDERCOLOR=\"cccc99\" BORDER=0 CELLPADDING=1>\n"
-"<TR><TD>\n"
-"<CENTER><span style='font-size:small;'>\n"
+"<span style='text-align:center;'>"
+"<TABLE BGCOLOR='#FFFEE8' BORDERCOLOR='#CCCC99' BORDER=0 CELLPADDING=1>\n"
+"<TR><TD style='font-size:small; text-align:center;'>\n"
 "The UCSC Genome Browser was created by the \n"
 "<A HREF=\"../staff.html\">Genome Bioinformatics Group of UC Santa Cruz</A>.\n"
 "<BR>"
 "Software Copyright (c) The Regents of the University of California.\n"
 "All rights reserved.\n"
-"</span></CENTER>\n"
-"</TD></TR></TABLE></CENTER>\n"
+"</TD></TR></TABLE></span>\n"
 );
 
 puts(
 "<FORM ACTION='../cgi-bin/hgTracks' NAME='mainForm' METHOD='GET' style='display:inline;'>\n"
-"<center>"
+"<span style='text-align:center;'>"
 "<table style='background-color:#FFFEF3; border: 1px solid #CCCC99;'>\n"
 "<tr><td>\n");
 
 puts("<table><tr>");
 if (gotClade)
     puts("<td align=center valign=baseline>clade</td>");
 puts(
 "<td align=center valign=baseline>genome</td>\n"
 "<td align=center valign=baseline>assembly</td>\n"
 "<td align=center valign=baseline>position or search term</td>\n");
 if(supportsSuggest)
     puts("<td align=center valign=baseline><a title='click for help on gene search box' target='_blank' href='../goldenPath/help/geneSearchBox.html'>gene</a></td>\n");
 puts(
 "<td align=center valign=baseline>image width</td>\n"
 "<td align=center valign=baseline> &nbsp; </td>\n"
@@ -148,43 +146,43 @@
 puts("</td>\n");
 puts("<td align=center>");
 if(supportsSuggest)
     hButtonWithOnClick("Submit", "submit", NULL, "submitButtonOnClick()");
 else
     cgiMakeButton("Submit", "submit");
 /* This is a clear submit button that browsers will use by default when enter is pressed in position box. FIXME: This should be done with js onchange event! */
 printf("<input TYPE=\"IMAGE\" BORDER=\"0\" NAME=\"hgt.dummyEnterButton\" src=\"../images/DOT.gif\" WIDTH=1 HEIGHT=1 ALT=dot>");
 cartSaveSession(cart);  /* Put up hgsid= as hidden variable. */
 puts(
 "</td>\n"
 "</tr></table>\n"
 "</td></tr>\n");
 
 puts(
-"<tr><td><center><BR>\n"
+"<tr><td><span style='text-align:center;'><BR>\n"
 "<a HREF=\"../cgi-bin/cartReset\">Click here to reset</a> the browser user interface settings to their defaults.");
 
 #define SURVEY 1
 #ifdef SURVEY
 if (survey && differentWord(survey, "off"))
     printf("&nbsp;&nbsp;&nbsp;<span style='background-color:yellow;'><A HREF=\"%s\" TARGET=_BLANK><EM><B>%s</EM></B></A></span>", survey, surveyLabel ? surveyLabel : "Take survey");
 #endif
 
 puts(
 "<BR>\n"
-"</center>\n"
-"</td></tr><tr><td><center>\n"
+"</span>\n"
+"</td></tr><tr><td><span style='text-align:center;'>\n"
 );
 
 puts("<TABLE BORDER=\"0\">");
 puts("<TR>");
 
 if(isSearchTracksSupported(db,cart))
     {
     puts("<TD VALIGN=\"TOP\">");
     cgiMakeButtonWithMsg(TRACK_SEARCH, TRACK_SEARCH_BUTTON,TRACK_SEARCH_HINT);
     puts("</TD>");
     }
 
 // custom track button. disable hgCustom button on GSID server, until
 // necessary additional work is authorized.
 puts("<TD VALIGN=\"TOP\">");
@@ -210,34 +208,34 @@
 // configure button
 puts("<TD VALIGN=\"TOP\">");
 cgiMakeButtonWithMsg("hgTracksConfigPage", "configure tracks and display","Configure track selections and browser display");
 puts("</TD>");
 
 // clear possition button
 puts("<TD VALIGN=\"TOP\">");
 if(supportsSuggest)
     cgiMakeOnClickButton("document.mainForm.position.value=''; document.getElementById('suggest').value='';", "clear position");
 else
     cgiMakeOnClickButton("document.mainForm.position.value=''", "clear position");
 puts("</TD>");
 
 puts("</TR></TABLE>");
 
-puts("</center>\n"
+puts("</span>\n"
 "</td></tr></table>\n"
 );
-puts("</center>");
+puts("</span>");
 #ifdef NEW_JQUERY
 hPrintf("<input type='hidden' id='hgt.newJQuery' name='hgt.newJQuery' value='1'>\n");
 #endif
 puts("</FORM>");
 if (hIsPreviewHost())
     {
 puts("<P>"
 "WARNING: This is our preview site. It is a weekly mirror of our internal development server for public access.  "
 "Data and tools here are under construction, have not been quality reviewed, and are subject to change "
 "at any time.  We provide this site for early access, with the warning that it is less available "
 "and stable than our public site.  For high-quality reviewed annotations on our production server, visit "
 "      <A HREF=\"http://genome.ucsc.edu\">http://genome.ucsc.edu</A>."
 "</P><BR>");
     }
 else if (hIsPrivateHost())
